


spring:
  jmx:
    default-domain: zhoushan_system
    enabled: false
  application:
    name: zhoushan_system
  servlet:
    multipart:
      maxFileSize: 1000MB
      maxRequestSize: 1000MB
  datasource:
#    url: jdbc:mysql://47.107.253.212:3306/zhoushan_system?useSSL=false&useUnicode=true&characterEncoding=utf-8&autoReconnect=true
#    username: root
#    password: 4dagecui2019
    # db 项目测试服务器
    url: jdbc:mysql://8.135.106.227:3306/${project.en}?useSSL=false&useUnicode=true&characterEncoding=utf-8&autoReconnect=true
    username: root
    password: 4dkk2021testproject%
    driver-class-name: com.mysql.jdbc.Driver
# Redis数据库索引（默认为0）
  redis:
    database: 0
    host: 127.0.0.1
    port: 6379
    password:
# 连接超时时间 单位 ms（毫秒）
    timeout: 3000ms
# 连接池中的最大空闲连接，默认值也是8。
    jedis:
      pool:
        max-idle: 8
#连接池中的最小空闲连接，默认值也是0。
        min-idle: 0
# 如果赋值为-1，则表示不限制；如果pool已经分配了maxActive个jedis实例，则此时pool的状态为exhausted(耗尽)。
        max-active: 8
# 等待可用连接的最大时间，单位毫秒，默认值为-1，表示永不超时。如果超过等待时间，则直接抛出JedisConnectionException
        max-wait: -1ms
# 配置静态资源跟目录
  mvc:
    static-path-pattern: /**
  resources:
    static-locations: file:${my.file.path}

upload:
  head: ${my.file.path}/head
  information: ${my.file.path}/information
  collection: ${my.file.path}/collection
  exhibition: ${my.file.path}/exhibition



swagger:
  package: com.fdage.controller
  title: ${project.sc}-sit
  description: ${swagger.title}
  version: 1.0


# 服务器存放地址
my:
  file:
    path: /root/data/${project.en}_data


logging:
  path: /root/log/${project.en}_log
  config: classpath:logback-spring.xml
  level:
    com:
      fdage: debug




